## net.i2p.router
Class CoalesceStatsEvent

    java.lang.Object
      net.i2p.router.CoalesceStatsEvent

All Implemented Interfaces:
  SimpleTimer.TimedEvent

     class CoalesceStatsEvent

extends java.lang.Object
implements SimpleTimer.TimedEvent

coalesce the stats framework every minute

Constructor Summary
`CoalesceStatsEvent(RouterContext ctx)`

Method Summary
`void` `timeReached()` the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoalesceStatsEvent

    public CoalesceStatsEvent(RouterContext ctx)

Method Detail

### timeReached

    public void timeReached()

  Description copied from interface: `SimpleTimer.TimedEvent`
  the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

  Specified by:
    `timeReached` in interface `SimpleTimer.TimedEvent`